Subject: Re: PROBLEM: Bridging does not work with Mellanox ConnectX-2 (mlx4_en) card in SR-IOV mode

From: John Fastabend <[email-masked]>
Date: Mon, 24 Jun 2013 23:13:32 -0700

On 06/24/2013 10:36 PM, Or Gerlitz wrote:
> On Tue, Jun 25, 2013 at 3:46 AM, Pawit Pornkitprasan <[email-masked]> wrote:
>> On Tue, Jun 25, 2013 at 7:45 AM, Pawit Pornkitprasan <[email-masked]> wrote:
>>>
>>> Thank you. I will try it out.
>>>
>>
>> Update: I've tried "sudo bridge fdb add [target mac address] dev p4p1"
>> and the bridge is working properly. Is there any reason why the
>> bridging code cannot do this automatically?
>
> Good question, there is some ongoing work in that direction but I am
> not sure where things stand now, I added Michael and Vlad who are
> involved in that adventure.

At least the original thought here was for most use cases user space
added the MAC  addresses behind the bridge typically by creating a
virtual device or tap device. In this case whatever added this device
should also add the FDB entry to the embedded bridge.

If the bridge is actually learning MAC addresses possibly from a
trusted guest. Then something needs to listen for the FDB events
and push them to the hardware.

I suppose we could add another knob to propagate FDB entries if it
is useful. Although adding it to libvirt/whatever seems like it would
work just as well.

.John

-- 
John Fastabend         Intel Corporation